package com.jh.boot.document;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.jh.boot.jpa.AbstractIdEntity;

@Entity
@Table(name = "LEGAL_DOCUMENT")
public class LegalDocument extends AbstractIdEntity {

	private static final long serialVersionUID = 1L;

	@Column(name = "CODE")
	private String code;
	
	@Column(name = "LOCALE")
	private String locale;
	
	@Column(name = "CONTENT")
	private String content;
	
	public LegalDocument() {
	}

	public LegalDocument(String code, String locale, String text) {
		super();
		this.code = code;
		this.locale = locale;
		this.content = text;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getLocale() {
		return locale;
	}

	public void setLocale(String locale) {
		this.locale = locale;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String text) {
		this.content = text;
	}

}
